int cyclowc (int a, int b, int c)
{
	int d = 0;
	if (a==0){
		d = 0;
		
	} else if (b>0){
		switch(c){
		case 1:
			d = a+b;
			break;
		case 2:
			d = b + c;
			break;
		default:
			break;
		}
	}
	return d;
}
